Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi.logger
Class AbstractLogger

    java.lang.Object
      com.rsa.authagent.authapi.logger.AbstractLogger

Direct Known Subclasses:
  AgentDebugger, AgentLogger

    public abstract class AbstractLogger

extends java.lang.Object

This is the base logger for both the event logger and debug logger.

Field Summary
`static java.lang.String` | `LOG_DEBUG` Allows the logger to log messages of debug or higher level of severity.
`static java.lang.String` | `LOG_ERROR` Allows the logger to log messages of error or higher level of severity.
`static java.lang.String` | `LOG_FATAL` Allows the logger to log messages of fatal or higher level of severity.
`static java.lang.String` | `LOG_INFO` Allows the logger to log messages of info or higher level of severity.
`static java.lang.String` | `LOG_OFF` Turns off the logger.
`static java.lang.String` | `LOG_WARN` Allows the logger to log messages of warning or higher level of severity.
`static int` | `RSA_LOG_DEBUG` Allows the logger to log messages of debug or higher level of severity.
`static int` | `RSA_LOG_ERROR` Allows the logger to log messages of error or higher level of severity.
`static int` | `RSA_LOG_FATAL` Allows the logger to log messages of fatal or higher level of severity.
`static int` | `RSA_LOG_INFO` Allows the logger to log messages of info or higher level of severity.
`static int` | `RSA_LOG_OFF` Turns off the logger.
`static int` | `RSA_LOG_WARN` Allows the logger to log messages of warning or higher level of severity.

Method Summary
`static void` | `addOutput(LoggerOutput output)` Adds a new output type to the logger.
`static void` | `loadAgentProperties(AgentProperties agProps)` Reloads configuration parameters from the default properties, the specified properties file and the System properties.
`static void` | `removeAllOutputs(org.apache.log4j.Logger theLogger)` Removes all the output types set previously.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RSA_LOG_OFF

    public static final int RSA_LOG_OFF

  Turns off the logger.

  See Also:
    Constant Field Values

### RSA_LOG_DEBUG

    public static final int RSA_LOG_DEBUG

  Allows the logger to log messages of debug or higher level of severity.

  See Also:
    Constant Field Values

### RSA_LOG_INFO

    public static final int RSA_LOG_INFO

  Allows the logger to log messages of info or higher level of severity.

  See Also:
    Constant Field Values

### RSA_LOG_WARN

    public static final int RSA_LOG_WARN

  Allows the logger to log messages of warning or higher level of severity.

  See Also:
    Constant Field Values

### RSA_LOG_ERROR

    public static final int RSA_LOG_ERROR

  Allows the logger to log messages of error or higher level of severity.

  See Also:
    Constant Field Values

### RSA_LOG_FATAL

    public static final int RSA_LOG_FATAL

  Allows the logger to log messages of fatal or higher level of severity.

  See Also:
    Constant Field Values

### LOG_OFF

    public static final java.lang.String LOG_OFF

  Turns off the logger.

### LOG_DEBUG

    public static final java.lang.String LOG_DEBUG

  Allows the logger to log messages of debug or higher level of severity.

### LOG_INFO

    public static final java.lang.String LOG_INFO

  Allows the logger to log messages of info or higher level of severity.

### LOG_WARN

    public static final java.lang.String LOG_WARN

  Allows the logger to log messages of warning or higher level of severity.

### LOG_ERROR

    public static final java.lang.String LOG_ERROR

  Allows the logger to log messages of error or higher level of severity.

### LOG_FATAL

    public static final java.lang.String LOG_FATAL

  Allows the logger to log messages of fatal or higher level of severity.

Method Detail

### loadAgentProperties

    public static void loadAgentProperties(AgentProperties agProps)

  Reloads configuration parameters from the default properties, the specified properties file and the System properties.

  Parameters:
    `pathProps` - the path to the properties file.

### addOutput

    public static void addOutput(LoggerOutput output)

  Adds a new output type to the logger.

  Parameters:
    `output` - specifies the output type (Jave Console or file).
  See Also:
    `ConsoleOutput`, `FileOutput`

### removeAllOutputs

    public static void removeAllOutputs(org.apache.log4j.Logger theLogger)

  Removes all the output types set previously.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.